<?php

return [
    'setting_by_lang'                      => [
        'system_name',
        'company_name',
        'tagline',
        'meta_title',
        'meta_description',
        'newsletter_title',
        'useful_link_title',
        'apps_link_title',
        'apps_link_description',
        'copyright_title',
        'keyword',
        'popup_title',
        'resource_link_title',
        'quick_link_title',
        'popup_description',
        'cookies_agreement',
        'footer_useful_link_menu',
        'footer_resource_link_menu',
        'footer_quick_link_menu',
        'header_menu',
        'hero_title',
        'hero_description',
        'hero_subtitle',
        'hero_main_action_btn_label',
        'hero_secondary_action_btn_label',
        'hero_rating_overview',
    ],
    'setting_image'                        => [
        'favicon',
        'admin_favicon',
        'logo',
        'light_logo',
        'dark_logo',
        'popup_image',
        'cta_image',
        'become_instructor_image',
        'meta_image',
        'og_image',
        'payment_method_banner',
        'copyright_logo',
        'admin_logo',
        'admin_mini_logo',
        'invoice_logo',
        'preloader_logo',
        'header1_hero_image1',
        'header1_hero_image2',
        'header1_hero_image3',
        'header1_hero_image4',
        'header2_hero_image1',
        'header2_hero_image2',
        'header2_hero_image3',
        'header2_hero_image4',
        'header3_hero_image',

    ],
    'setting_array'                        => [
        'footer_useful_link_menu',
        'footer_resource_link_menu',
        'footer_quick_link_menu',
        'header_menu',
        'footer_menu',
        'useful_links',
        'home_page_contents',
        'mobile_home_page_contents',
        'login_banner',
        'sing_up_banner',
        'forgot_password_banner',
        'top_bar_banner',
        'user_dashboard_banner',
        'seller_sing_up_banner',
        'product_details_site_banner',
        'category_default_banner',
        'featured_category_banner',
        'invoice_based_shipping_fee',
        'affiliate_program_banner',
        'affiliate_sing_up_banner',
    ],

    'is_twilio_sms_activated'              => [
        'twilio_sms_sid',
        'twilio_sms_auth_token',
        //                               'twilio_sms_verify_sid',
        'valid_twilio_sms_number',
    ],
    'is_fast_2_activated'                  => [
        'fast_2_auth_key',
        'fast_2_entity_id',
        'fast_2_route',
        'fast_2_language',
        'fast_2_sender_id',
    ],
    'is_spagreen_sms_activated'            => [
        'spagreen_sms_api_key',
        'spagreen_secret_key',
    ],
    'is_mimo_sms_activated'                => [
        'mimo_username',
        'mimo_sms_password',
        'mimo_sms_sender_id',

    ],
    'is_nexmo_sms_activated'               => [
        'nexmo_sms_key',
        'nexmo_sms_secret_key',
    ],
    'is_ssl_wireless_sms_activated'        => [
        'ssl_sms_api_token',
        'ssl_sms_sid',
        'ssm_sms_url',
    ],

    'is_paypal_activated'                  => [
        'paypal_client_id',
    ],
    'is_stripe_activated'                  => [
        'stripe_key',
        'stripe_secret',
    ],
    'is_sslcommerz_activated'              => [
        'sslcommerz_id',
        'sslcommerz_password',
    ],
    'is_sslcommerz_sandbox_mode_activated' => [
        'sslcommerz_id',
        'sslcommerz_password',
    ],
    'is_paytm_activated'                   => [
        'merchant_id',
        'merchant_key',
        'merchant_website',
        'channel',
        'industry_type',
    ],
    'is_jazz_cash_activated'               => [
        'jazz_cash_merchant_id',
        'jazz_cash_password',
        'jazz_cash_integrity_salt',
    ],
    'is_razorpay_activated'                => [
        'razorpay_key',
        'razorpay_secret',
    ],
    'is_mollie_activated'                  => [
        'mollie_api_key',
    ],

    'is_paystack_activated'                => [
        'paystack_secret_key',
        'paystack_public_key',

    ],
    'is_flutterwave_activated'             => [
        'flutterwave_secret_key',
        'flutterwave_public_key',

    ],
    'is_mercado_pago_activated'            => [
        'mercadopago_access_key',
        'mercadopago_key',

    ],
    'is_mid_trans_activated'               => [
        'mid_trans_client_id',
        'mid_trans_server_key',
    ],
    'is_telr_activated'                    => [
        'telr_store_id',
        'telr_auth_key',
    ],
    'is_google_pay_activated'              => [
        'google_pay_merchant_name',
        'google_pay_merchant_id',
        'google_pay_gateway',
        'google_pay_gateway_merchant_id',
    ],
    'is_amarpay_activated'                 => [
        'aamrapay_store_id',
        'aamarpay_signature_key',
    ],
    'is_aamarpay_sandbox_mode_activated'   => [
        'aamrapay_store_id',
        'aamarpay_signature_key',
    ],
    'is_bkash_activated'                   => [
        'bkash_app_key',
        'bkash_app_secret',
        'bkash_username',
        'bkash_password',
    ],
    'is_bkash_sandbox_mode_activated'      => [
        'bkash_app_key',
        'bkash_app_secret',
        'bkash_username',
        'bkash_password',
    ],
    'is_nagad_activated'                   => [
        'nagad_mode',
        'nagad_merchant_id',
        'nagad_merchant_no',
        'nagad_public_key',
        'nagad_private_key',
    ],
    'is_nagad_sandbox_mode_activated'      => [
        'nagad_mode',
        'nagad_merchant_id',
        'nagad_merchant_no',
        'nagad_public_key',
        'nagad_private_key',
    ],
    'is_iyzico_activated'                  => [
        'iyzico_api_key',
        'iyzico_secret_key',
    ],
    'is_iyzico_sandbox_enabled'            => [
        'iyzico_api_key',
        'iyzico_secret_key',
    ],
    'is_kkiapay_activated'                 => [
        'kkiapay_public_api_key',
        'kkiapay_private_api_key',
        'kkiapay_secret',
    ],
    'is_kkiapay_sandbox_enabled'           => [
        'kkiapay_public_api_key',
        'kkiapay_private_api_key',
        'kkiapay_secret',
    ],
    'is_skrill_activated'                  => [
        'skrill_merchant_email',
    ],
    'is_facebook_pixel_activated'          => [
        'facebook_pixel_id',
    ],
    'is_google_analytics_activated'        => [
        'tracking_code',
    ],
    //    for seller module
    'is_bank_active'                       => [
        'bank_name',
        'owner_name',
        'bank_phone_no',
        'branch',
        'account_number',
        'routing_no',
    ],
    'is_paypal_active'                     => [
        'paypal_email',
    ],

    'is_recaptcha_activated'               => [
        'recaptcha_Site_key',
        'recaptcha_secret',
    ],
    'is_pusher_notification_active'        => [
        'pusher_app_id',
        'pusher_app_key',
        'pusher_app_secret',
        'pusher_app_cluster',
    ],
    'supported_mimes'                      => [
        'jpg'  => 'image',
        'jpeg' => 'image',
        'png'  => 'image',
        'webp' => 'image',
        'gif'  => 'image',
        'mp4'  => 'video',
        'mpg'  => 'video',
        'mpeg' => 'video',
        'webm' => 'video',
        'ogg'  => 'video',
        'avi'  => 'video',
        'mov'  => 'video',
        'flv'  => 'video',
        'swf'  => 'video',
        'mkv'  => 'video',
        'wmv'  => 'video',
        'wma'  => 'audio',
        'aac'  => 'audio',
        'wav'  => 'audio',
        'mp3'  => 'audio',
        'zip'  => 'archive',
        'rar'  => 'archive',
        '7z'   => 'archive',
        'doc'  => 'document',
        'txt'  => 'document',
        'docx' => 'document',
        'pdf'  => 'pdf',
        'csv'  => 'document',
        'xml'  => 'document',
        'ods'  => 'document',
        'xlr'  => 'document',
        'xls'  => 'document',
        'xlsx' => 'document',
    ],
    'locale'                               => [
        'ace',
        'af',
        'agq',
        'ak',
        'an',
        'cch',
        'gn',
        'ae',
        'ay',
        'az',
        'id',
        'ms',
        'bm',
        'jv',
        'su',
        'bh',
        'bi',
        'nb',
        'bs',
        'bd',
        'br',
        'ca',
        'ch',
        'ny',
        'kde',
        'sn',
        'co',
        'cy',
        'da',
        'se',
        'de',
        'luo',
        'nv',
        'dua',
        'et',
        'na',
        'guz',
        'en',
        'en-AU',
        'en-GB',
        'en-CA',
        'en-US',
        'es',
        'eo',
        'eu',
        'ewo',
        'ee',
        'fil',
        'fr',
        'fr-CA',
        'fy',
        'fur',
        'fo',
        'gaa',
        'ga',
        'gv',
        'sm',
        'gl',
        'ki',
        'gd',
        'ha',
        'bez',
        'ho',
        'hr',
        'bem',
        'io',
        'ig',
        'rn',
        'ia',
        'in',
        'iu-Latn',
        'sbp',
        'nd',
        'nr',
        'xh',
        'zu',
        'it',
        'ik',
        'dyo',
        'kea',
        'kaj',
        'mh',
        'kl',
        'kln',
        'kr',
        'kcg',
        'kw',
        'naq',
        'rof',
        'kam',
        'kg',
        'jmc',
        'rw',
        'asa',
        'rwk',
        'saq',
        'ksb',
        'swc',
        'sw',
        'dav',
        'teo',
        'khq',
        'ses',
        'mfe',
        'ht',
        'kj',
        'ksh',
        'ebu',
        'mer',
        'lag',
        'lah',
        'la',
        'lv',
        'to',
        'lt',
        'li',
        'ln',
        'lg',
        'luy',
        'lb',
        'hu',
        'mgh',
        'mg',
        'mt',
        'mtr',
        'mua',
        'mi',
        'nl',
        'nmg',
        'yav',
        'nn',
        'oc',
        'ang',
        'xog',
        'om',
        'ng',
        'hz',
        'uz-Latn',
        'nds',
        'pl',
        'pt',
        'pt-BR',
        'ff',
        'pi',
        'aa',
        'ty',
        'ksf',
        'ro',
        'cgg',
        'rm',
        'qu',
        'nyn',
        'ssy',
        'sc',
        'de-CH',
        'gsw',
        'trv',
        'seh',
        'nso',
        'st',
        'tn',
        'sq',
        'sid',
        'ss',
        'sk',
        'sl',
        'so',
        'sr-Latn',
        'sh',
        'fi',
        'sv',
        'sg',
        'tl',
        'tzm-Latn',
        'kab',
        'twq',
        'shi',
        'nus',
        'vi',
        'tg-Latn',
        'lu',
        've',
        'tw',
        'tr',
        'ale',
        'ca-valencia',
        'vai-Latn',
        'vo',
        'fj',
        'wa',
        'wae',
        'wen',
        'wo',
        'ts',
        'dje',
        'yo',
        'de-AT',
        'is',
        'cs',
        'bas',
        'mas',
        'haw',
        'el',
        'uz',
        'az-Cyrl',
        'ab',
        'os',
        'ky',
        'sr',
        'av',
        'ady',
        'ba',
        'be',
        'bg',
        'kv',
        'mk',
        'mn',
        'ce',
        'ru',
        'sah',
        'tt',
        'tg',
        'tk',
        'uk',
        'cv',
        'cu',
        'kk',
        'hy',
        'yi',
        'he',
        'ug',
        'ur',
        'ar',
        'uz-Arab',
        'tg-Arab',
        'sd',
        'fa',
        'pa-Arab',
        'ps',
        'ks',
        'ku',
        'dv',
        'ks-Deva',
        'kok',
        'doi',
        'ne',
        'pra',
        'brx',
        'bra',
        'mr',
        'mai',
        'raj',
        'sa',
        'hi',
        'as',
        'bn',
        'mni',
        'pa',
        'gu',
        'or',
        'ta',
        'te',
        'kn',
        'ml',
        'si',
        'th',
        'lo',
        'bo',
        'dz',
        'my',
        'ka',
        'byn',
        'tig',
        'ti',
        'am',
        'wal',
        'chr',
        'iu',
        'oj',
        'cr',
        'km',
        'mn-Mong',
        'shi-Tfng',
        'tzm',
        'yue',
        'ja',
        'zh',
        'zh-Hant',
        'ii',
        'vai',
        'jv-Java',
        'ko',
    ],
];
